package visual.dynamic.sampled;

/**
 * A superimposition on a frame.
 * <p>
 * This interface could extend Transition but... a Transition is
 * not a Superimposition. So, for semantic reasons, it does not do so.
 * </p>
 *
 * @author  Prof. David Bernstein, James Madison University
 * @see     "The Design and Implementation of Multimedia Software  2011"
 * @version 1.0
 */
public interface Superimposition extends FrameOp
{
  /**
   * Get the position.
   * <p>
   * Possible values: javax.SwingConstants.NORTH, NORTH_EAST,
   * EAST, SOUTH_EAST, SOUTH, SOUTH_WEST, WEST, NORTH_WEST, or CENTER).
   * </p>
   * 
   * @return     The position
   */
  public abstract int getPosition();
}
