package visual.statik.described;

import java.awt.*;

/**
 * The requirements of transformable static 
 * described visual content.
 *
 * @author  Prof. David Bernstein, James Madison University
 * @see     "The Design and Implementation of Multimedia Software  2011"
 * @version 1.0
 */
public interface TransformableContent 
       extends   visual.statik.TransformableContent
{
  /**
   * Set the Color to use for stroking.
   *
   * @param color The Color to use (or null to prevent stroking)
   */
  public abstract void setColor(Color color);

  /**
   * Set the Paint to use for filling.
   *
   * @param paint  The Paint to use (or null to prevent filling)
   */
  public abstract void setPaint(Paint paint);

  /**
   * Set the Stroke to use.
   *
   * @param stroke  The Stroke to use (or null to use the default)
   */
  public abstract void setStroke(Stroke stroke);
}
