package visual.statik.sampled;

import java.awt.*;
import java.awt.image.*;

/**
 * The requirements of transformable static 
 * sampled visual content.
 *
 * @author  Prof. David Bernstein, James Madison University
 * @see     "The Design and Implementation of Multimedia Software  2011"
 * @version 1.0
 */
public interface TransformableContent 
       extends   visual.statik.TransformableContent
{
  /**
   * Set the BufferedImageOp to use when transforming
   * the  the static sampled visual content.
   *
   * @param op   The BufferedImageOp
   */
  public abstract void setBufferedImageOp(BufferedImageOp op);

  /**
   * Set the transparency/Composite to use when
   * rendering the static sampled visual content.
   *
   * @param c   The Composite
   */
  public abstract void setComposite(Composite c);
}
